Discover Project MCP Server Metadata

post

/ic/api/integration/v1/projects/{projectId}/mcp/servers/{id}/discovery

Discovers MCP server capabilities and tools. Supplied connection and security properties override saved connection properties when available. If a payload id is supplied, it must identify the same server as the path id. Any supplied adapter identity must resolve to oracle:mcp.

Request

Path Parameters
Query Parameters
  • This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
    Example:
    example-instance
Supported Media Types
Request Body - application/json; charset=utf-8 ()
Root Schema : schema
Type: object
Connection properties and security configuration used to create an MCP server.
Show Source
Nested Schema : adapter
Adapter identity and capabilities.
Match All
Adapter identity and capabilities.
Show Source
Nested Schema : adapterType
Adapter identity and type.
Match All
Adapter identity and type.
Show Source
Nested Schema : connectionProperties
Type: array
List of Connection Properties
Show Source
Nested Schema : links
Type: array
Links to related resources.
Show Source
Nested Schema : overrideProperties
Override Properties.
Match All
Override Properties.
Show Source
Nested Schema : securityPolicyInfo
Type: array
List of Security Policies
Show Source
Nested Schema : securityProperties
Type: array
List of Security Properties
Show Source
Nested Schema : wsdlListDir
Type: array
List of WSDL
Show Source
Nested Schema : MCP2610_AdapterTypeRs
Type: object
Adapter
Show Source
Nested Schema : allowedDomains
Type: array
Allowed Domains.
Show Source
Nested Schema : genericAuthSupport
Type: array
Generic Auth Support.
Show Source
Nested Schema : icons
Adapter icon URLs.
Match All
Adapter icon URLs.
Show Source
Nested Schema : oauth3LeggedSupport
Type: array
Oauth3 Legged Support.
Show Source
Nested Schema : vendorInfo
Adapter vendor information.
Match All
Adapter vendor information.
Show Source
Nested Schema : MCP2610_AdapterIconsRs
Type: object
Icon URLs associated with an adapter.
Show Source
Nested Schema : MCP2610_AdapterVendorInfo
Type: object
Vendor and documentation details for an adapter.
Show Source
Nested Schema : MCP2610_AdapterTypeBaseRs
Type: object
Adapter identity and display metadata.
Show Source
Nested Schema : MCP2610_ConnectionPropertyRs
Type: object
A connection or security property, including its value, validation metadata, and optional attachment.
Show Source
Nested Schema : acceptableKeys
Type: array
Permitted values for the adapter property.
Show Source
Nested Schema : attachment
Attachment associated with this connection property.
Match All
Attachment associated with this connection property.
Show Source
Nested Schema : MCP2610_AdapterKey
Type: object
An acceptable adapter property value and its integration-role scope.
Show Source
Nested Schema : MCP2610_ConnectionAttachmentRs
Type: object
Connection attachment and the property to which it belongs.
Show Source
Nested Schema : attachment
Attachment associated with this connection property.
Match All
Attachment associated with this connection property.
Show Source
Nested Schema : MCP2610_BaseAttachmentRs
Type: object
Attachment metadata and content associated with a connection property.
Show Source
Nested Schema : OverridePropertiesRs
Type: object
Project-specific connection override metadata.
Show Source
Nested Schema : MCP2610_SecurityPolicyInfoRs
Type: object
Connection authentication policy and its security properties.
Show Source
Nested Schema : securityProperties
Type: array
Security Properties.
Show Source
Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : GetMcpServerMetadataResponse
Type: object
Discovered server capabilities and tools.
Show Source
Nested Schema : serverCapability
Discovered MCP server protocol, capability, and identity metadata.
Match All
Discovered MCP server protocol, capability, and identity metadata.
Show Source
Nested Schema : tools
Type: array
Tools advertised by the MCP server.
Show Source
Nested Schema : ServerCapabilitySpec
Type: object
Protocol version, capabilities, and identity reported by an MCP server.
Show Source
Nested Schema : capabilities
Capabilities advertised by the server.
Match All
Capabilities advertised by the server.
Show Source
Nested Schema : serverInfo
Name and version reported by the server.
Match All
Name and version reported by the server.
Show Source
Nested Schema : Capabilities
Type: object
Capabilities advertised by the discovered MCP server.
Show Source
Nested Schema : prompts
Prompt capability flags advertised by the MCP server.
Match All
Prompt capability flags advertised by the MCP server.
Show Source
Nested Schema : resources
Resource capability flags advertised by the MCP server.
Match All
Resource capability flags advertised by the MCP server.
Show Source
Nested Schema : tools
Tool capability flags advertised by the MCP server.
Match All
Tool capability flags advertised by the MCP server.
Show Source
Nested Schema : PromptCapability
Type: object
Prompt capability advertised by an MCP server.
Show Source
Nested Schema : ResourceCapability
Type: object
Resource capability advertised by an MCP server.
Show Source
Nested Schema : ToolCapability
Type: object
Tool capability advertised by an MCP server.
Show Source
Nested Schema : ServerInfo
Type: object
MCP server name and version.
Show Source
Nested Schema : Tool
Type: object
Discovered MCP tool name, description, and input schema.
Show Source
Nested Schema : inputSchema
JSON schema describing the tool input.
Match All
JSON schema describing the tool input.
Show Source
  • Arbitrary JSON value representing an MCP tool input schema.

400 Response

Malformed parameters

401 Response

Unauthorized or insufficient design-time permissions

404 Response

Project or resource not found, or the MCP feature is not available

500 Response

Server error
Back to Top

Examples

The following example shows how to discover MCP server capabilities and tools by submitting a POST request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Discover Project MCP Server Metadata

curl --request POST --include \
  --url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/servers/${SERVER_ID}/discovery?integrationInstance=${INTEGRATION_INSTANCE}" \
  --header "Authorization: Bearer ${ACCESS_TOKEN}" \
  --header "Accept: application/json" \
  --header "Content-Type: application/json; charset=utf-8" \
  --data-raw '{}'
Back to Top